# Ignore os arquivos de compilação do ESP-IDF
**/build/
**/bin/
**/CMakeFiles/
**/cmake_install.cmake
**/Makefile
**/sdkconfig

# Ignore arquivos de configuração local e temporários
**/.vscode/
**/.idea/
**/.settings/

# Ignore arquivos de log
*.log

# Ignore arquivos de dependências
**/dependencies/

# Ignore diretórios de sistema
.DS_Store
Thumbs.db

# Ignore o arquivo de configuração do ESP-IDF (se você não deseja compartilhar)
sdkconfig*

# Ignore arquivos temporários ou de cache
*.tmp
*.swp

# Ignorar completamente as pastas
components/ArduinoJson/
components/MicroOcpp/
components/MicroOcppMongoose/
components/mongoose
managed_components/
